Name:		ufoai
Version:	2.5
Release:	%mkrel 4
URL:		http://ufoai.org/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-source.tar.bz2
Source1:	%{name}.desktop
Source2:	uforadiant.desktop
Patch1:		ufoai-2.5-mga-dont-strip-binaries.patch
License:	GPLv2+
Group:		Games/Strategy
Summary:	UFO: Alien Invasion
Requires:	%{name}-data = %{version}

BuildRequires:	pkgconfig(libcurl)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(sdl) >= 1.2.10
BuildRequires:	pkgconfig(SDL_image)  >= 1.2.7
BuildRequires:	pkgconfig(SDL_mixer) >= 1.2.7
BuildRequires:	SDL_ttf-devel >= 2.0.7
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(gtksourceview-2.0)
BuildRequires:	pkgconfig(gdkglext-x11-1.0)
BuildRequires:	gtk2-devel
BuildRequires:	mxml-devel
# xvid is in tainted, but we can build without support, adding dlopen() support and
# a suggests on it could be done though..
#BuildRequires:	xvid-devel
BuildRequires:	pkgconfig(theoradec)
BuildRequires:	zip
BuildRequires:	texlive

%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat against
hostile alien forces which are about to infiltrate earth at this very
moment. You are in command of a small special unit which has been
founded to face the alien strike force. To be successful on the long
run, you will also have to have a research team study the aliens and
their technologies in order to learn as much as possible about their
technology, their goals and the aliens themselves. 'UFO: Alien Invasion'
is heavily inspired by the 'X-COM' series by Mythos and Microprose.


%package uforadiant
Summary:	UFO: Alien Invasion map editor
Group:		Development/Tools
Requires:	%{name} = %{version}

%description uforadiant
UFO: ALIEN INVASION is a strategy game featuring tactical combat
against hostile alien forces which are about to infiltrate earth at
this very moment.

This package contains the map editor UFORadiant.


%prep
%setup -q -n %{name}-%{version}-source
%patch1 -p0 -b .nostrip~

%build
./configure	--prefix=%{_prefix} \
		--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}/ufoai \
		--localedir=%{_datadir}/locale \
		--enable-release \
%ifarch x86_64
		--enable-sse \
%endif
		--enable-cgame-campaign \
		--enable-cgame-multiplayer \
		--enable-cgame-skirmish \
		--enable-game \
		--enable-memory \
		--enable-testall \
		--enable-ufo2map \
		--enable-ufoded \
		--enable-ufo \
		--enable-ufomodel \
		--enable-uforadiant \
		--enable-ufoslicer
%make LDFLAGS="%ldflags" uforadiant_LINKER="g++ %ldflags"

%install
%makeinstall_std
# Remove empty data files to avoid file conflict with data package
rm -f %{buildroot}/%{_gamesdatadir}/%{name}/base/*pk3

%find_lang ufoai
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -m644 src/ports/linux/ufo.png -D %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

## install uforadiant
mkdir -p %{buildroot}%{_mandir}/man6
install -m 0644 debian/ufo*.6 %{buildroot}%{_mandir}/man6/
mkdir -p -m 0755 %{buildroot}%{_datadir}/%{name}/radiant
cp -p radiant/*.xml %{buildroot}%{_gamesdatadir}/%{name}/radiant/
cp -p radiant/mapdef.template %{buildroot}%{_gamesdatadir}/%{name}/radiant/
cp -pr radiant/bitmaps %{buildroot}%{_gamesdatadir}/%{name}/radiant
cp -pr radiant/prefabs %{buildroot}%{_gamesdatadir}/%{name}/radiant
cp -pr radiant/sourceviewer %{buildroot}%{_gamesdatadir}/%{name}/radiant
cp -pr radiant/i18n/* %{buildroot}%{_datadir}/locale/
%find_lang uforadiant
install -D -m 0644 debian/uforadiant.xpm %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/uforadiant.xpm


%files -f ufoai.lang
%doc LICENSES
%{_gamesbindir}/ufo
%{_gamesbindir}/ufoded
%dir %{_gamesdatadir}/ufoai
%{_gamesdatadir}/ufoai/memory
%{_gamesdatadir}/ufoai/ufo*
%dir %{_gamesdatadir}/ufoai/base
%{_gamesdatadir}/ufoai/base/game.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/ufo.6*
%{_mandir}/man6/ufoded.6*
%{_mandir}/man6/ufo2map.6*


%files uforadiant -f uforadiant.lang
%{_gamesbindir}/uforadiant
%{_datadir}/applications/uforadiant.desktop
%{_iconsdir}/hicolor/*/apps/uforadiant.xpm
%{_gamesdatadir}/%{name}/radiant
%{_mandir}/man6/uforadiant.6*



%changelog
* Thu Feb 04 2016 umeabot <umeabot> 2.5-4.mga6
+ Revision: 934221
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5-3.mga5
+ Revision: 748360
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5-2.mga5
+ Revision: 690021
- Mageia 5 Mass Rebuild

* Sat Jul 26 2014 solbu <solbu> 2.5-1.mga5
+ Revision: 656563
- Dropping non-working patches: P0, P2-P5 (P0, P2 merged upstream)
- Rediff P1
- New version
- Update URL

* Mon Jun 09 2014 diogenese <diogenese> 2.4-10.mga5
+ Revision: 635291
- Added needed -lm flag to ufo_LDFLAGS in build/modules/ufo.mk

* Tue Oct 22 2013 umeabot <umeabot> 2.4-9.mga4
+ Revision: 542272
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 wally <wally> 2.4-8.mga4
+ Revision: 497189
- add patch from upstream to fix build

* Tue Jun 04 2013 fwang <fwang> 2.4-7.mga4
+ Revision: 436948
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 2.4-6.mga3
+ Revision: 384989
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 tv <tv> 2.4-5.mga3
+ Revision: 298628
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 2.4-4.mga3
+ Revision: 298611
- rebuild for new pango

* Thu Sep 27 2012 fwang <fwang> 2.4-3.mga3
+ Revision: 298583
- specify linker command
- add more linker flags

* Thu Sep 27 2012 fwang <fwang> 2.4-2.mga3
+ Revision: 298577
- fix linkage
- use our system flags

* Sat Jun 30 2012 solbu <solbu> 2.4-1.mga3
+ Revision: 265323
- Add mxml-devel as buildrequire
- Fix Buildrequires
- Fix spec file
- Add patches from Mandriva
- New version

  + stblack <stblack>
    - imported package ufoai


* Fri Sep 24 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3-1mdv2011.0
+ Revision: 580811
- disable xvid support as it requires plf package...
- import ufoai


* Thu Sep 23 2010 Per Øyvind Karlsen <peroyvind@mandria.org> 2.3-1
- use &%%{_gamesdatadir} & %%{_gamesbindir}
- make paths comply mostly with FHS (P0)
- package from Johnny A. Solbu <johnny@solbu.net>

* Tue Jul 5 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Bugfix. the shellscripts (/usr/bin/{ufo,ufoded}) tried to launch the game from RPM_BUILD_ROOT.

* Thu Apr 2 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Added menu entry.

* Tue Mar 31 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- More spec cleanup, after tip from Per Øyvind Karlsen.

* Tue Mar 30 2010 Johnny A. Solbu <johnny@solbu.net> 2.2.1-1mdv
- Upgraded the package.
- spec cleanup.

* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 0.10-4plf
- %%mkrel 
- spec cleanup

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.10-3plf
- fix macros 
- PLF reason

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.10-2plf
- moved to plf, as it is useless without its data

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-2mdk
- buildrequires

* Fri Feb 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10-1mdk
- initial mdk release
